function check = test_rerun1()

  N = 50;
  A = -5*gallery('grcar', N, 3);
  b = ones(N,1);
  tol = 1e-13;
  
  xi = [5.0523-29.5113i, ...
        5.0523+29.5113i, ...
        9.3187-25.2383i, ...
        9.3187+25.2383i, ...
        12.1265-21.3194i, ...
        12.1265+21.3194i, ...
        14.0793-17.5109i, ...
        14.0793+17.5109i, ...
        15.4216-13.7162i, ...
        15.4216+13.7162i, ...
        16.2942-9.8809i, ...
        16.2942+9.8809i, ...
        16.8005-5.9755i, ...
        16.8005+5.9755i, ...
        17.0261-2.0016i, ...
        17.0261+2.0016i];
  
  param.real = 1;
  [V, K, H] = rat_krylov(A, b, xi, param);
  
  nrm1 = norm(A*V*K-V*H);
  nrm1 = nrm1/(norm(A)*norm(V)*norm(K)+norm(V)*norm(H));
  nrm2 = norm(V'*V-eye(size(V, 2)));
  
  Vr = rat_krylov(A, b/norm(b), K, H);
  nrm3 = norm(V*(V'*Vr)-Vr)/length(xi);
  nrm4 = norm(A*Vr*K-Vr*H);
  nrm4 = nrm4/(norm(A)*norm(V)*norm(K)+norm(V)*norm(H));
  
  A = diag(exp(1i*linspace(0, 2*pi, N)));
  v = ones(N,1); 
  v(1:5) = v(1:5)*(1 - 7i);
  Vr = rat_krylov(A, v, K, H); 
  nrm5 = norm(A*Vr*K-Vr*H);
  nrm5 = nrm5/(norm(A)*norm(Vr)*norm(K)+norm(Vr)*norm(H));

  check = [nrm1 nrm2 nrm3 nrm4 nrm5] < tol;
end
